My Project: dgCollisionCompoundFractured::dgFractureBuilder Class Reference

My Project

Classes | Public Member Functions | Public Attributes | List of all members
dgCollisionCompoundFractured::dgFractureBuilder Class Reference
Inheritance diagram for dgCollisionCompoundFractured::dgFractureBuilder:

## Classes

class | dgConvexSolidArray
class | dgConvexSolidVertices
class | dgFractureConectivity
class | dgPerimenterEdge

## Public Member Functions

| dgFractureBuilder (dgMemoryAllocator *const allocator, dgMeshEffect *const solidMesh, dgInt32 pointcloudCount, const dgFloat32 *const vertexCloud, dgInt32 strideInBytes, int materialId, const dgMatrix &textureProjectionMatrix)
| ~dgFractureBuilder ()
bool | IsPairConnected (dgFractureConectivity::dgListNode *const nodeA, dgFractureConectivity::dgListNode *const nodeB) const
bool | ArePlaneCoplanar (dgMeshEffect *const meshA, void *faceA, const dgBigVector &planeA, dgMeshEffect *const meshB, void *faceB, const dgBigVector &planeB) const
bool | AreSolidNeigborg (int indexA, int indexB) const
void | ClipFractureParts (dgMeshEffect *const solidMesh)
bool | SanityCheck () const
Public Member Functions inherited from dgTree< dgMeshEffect *, dgInt32 >
| dgTree (dgMemoryAllocator *const allocator)
virtual | ~dgTree ()
dgMemoryAllocator * | GetAllocator () const
void | SetAllocator (dgMemoryAllocator *const allocator)
| operator dgInt32 () const
dgInt32 | GetCount () const
dgTreeNode * | GetRoot () const
dgTreeNode * | Minimum () const
dgTreeNode * | Maximum () const
dgTreeNode * | Find (dgInt32 key) const
dgTreeNode * | FindGreater (dgInt32 key) const
dgTreeNode * | FindGreaterEqual (dgInt32 key) const
dgTreeNode * | FindLessEqual (dgInt32 key) const
dgTreeNode * | GetNodeFromInfo (dgMeshEffect * &info) const
dgTreeNode * | Insert (const dgMeshEffect * &element, dgInt32 key, bool &elementWasInTree)
dgTreeNode * | Insert (const dgMeshEffect * &element, dgInt32 key)
dgTreeNode * | Insert (dgTreeNode *const node, dgInt32 key)
dgTreeNode * | Replace (dgMeshEffect * &element, dgInt32 key)
dgTreeNode * | ReplaceKey (dgInt32 oldKey, dgInt32 newKey)
dgTreeNode * | ReplaceKey (dgTreeNode *const node, dgInt32 key)
void | Remove (dgInt32 key)
void | Remove (dgTreeNode *const node)
void | RemoveAll ()
void | Unlink (dgTreeNode *const node)
void | SwapInfo (dgTree &tree)
bool | SanityCheck () const

## Public Attributes

dgFractureConectivity | m_conectivity

## Constructor & Destructor Documentation

## § dgFractureBuilder()

dgCollisionCompoundFractured::dgFractureBuilder::dgFractureBuilder | ( | dgMemoryAllocator *const | allocator,
|  | dgMeshEffect *const | solidMesh,
|  | dgInt32 | pointcloudCount,
|  | const dgFloat32 *const | vertexCloud,
|  | dgInt32 | strideInBytes,
|  | int | materialId,
|  | const dgMatrix & | textureProjectionMatrix
| ) |  |

inline

## § ~dgFractureBuilder()

dgCollisionCompoundFractured::dgFractureBuilder::~dgFractureBuilder | ( |  | ) |

inline

## Member Function Documentation

## § ArePlaneCoplanar()

bool dgCollisionCompoundFractured::dgFractureBuilder::ArePlaneCoplanar | ( | dgMeshEffect *const | meshA,
|  | void * | faceA,
|  | const dgBigVector & | planeA,
|  | dgMeshEffect *const | meshB,
|  | void * | faceB,
|  | const dgBigVector & | planeB
| ) |  | const

inline

## § AreSolidNeigborg()

bool dgCollisionCompoundFractured::dgFractureBuilder::AreSolidNeigborg | ( | int | indexA,
|  | int | indexB
| ) |  | const

inline

## § ClipFractureParts()

void dgCollisionCompoundFractured::dgFractureBuilder::ClipFractureParts | ( | dgMeshEffect *const | solidMesh | ) |

inline

## § IsPairConnected()

bool dgCollisionCompoundFractured::dgFractureBuilder::IsPairConnected | ( | dgFractureConectivity::dgListNode *const | nodeA,
|  | dgFractureConectivity::dgListNode *const | nodeB
| ) |  | const

inline

## § SanityCheck()

bool dgCollisionCompoundFractured::dgFractureBuilder::SanityCheck | ( |  | ) | const

inline

## Member Data Documentation

## § m_conectivity

dgFractureConectivity dgCollisionCompoundFractured::dgFractureBuilder::m_conectivity

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/source/physics/dgCollisionCompoundFractured.cpp